<?php

    if(!defined("CORE_FOLDER")) die();

    $LANG       = $module->lang;

    $CONFIG     = $module->config;

?>

<form action="<?php echo Controllers::$init->getData("links")["controller"]; ?>" method="post" id="MutsevsmsSettings">

    <input type="hidden" name="operation" value="module_controller">

    <input type="hidden" name="module" value="Mutsevsms">

    <input type="hidden" name="controller" value="settings">



    <div class="formcon">

        <div class="yuzde30"><?php echo $LANG["username"]; ?></div>

        <div class="yuzde70">

            <input type="text" name="username" value="<?php echo $CONFIG["username"]; ?>">

            <span class="kinfo"><?php echo $LANG["username-desc"]; ?></span>

        </div>

    </div>



    <div class="formcon">

        <div class="yuzde30"><?php echo $LANG["password"]; ?></div>

        <div class="yuzde70">

            <input type="password" name="password" value="<?php echo $CONFIG["password"]; ?>">

            <span class="kinfo"><?php echo $LANG["password-desc"]; ?></span>

        </div>

    </div>



    <div class="formcon">

        <div class="yuzde30">Api Secret</div>

        <div class="yuzde70">

            <input type="text" name="secret" value="<?php echo $CONFIG["secret"]; ?>">

            <span class="kinfo"></span>

        </div>

    </div>



    <div class="formcon">

        <div class="yuzde30"><?php echo $LANG["origin-name"]; ?></div>

        <div class="yuzde70">

            <input type="text" name="origin" value="<?php echo $CONFIG["origin"]; ?>">

            <span class="kinfo"><?php echo $LANG["origin-name-desc"]; ?></span>

        </div>

    </div>





    <div class="formcon">

        <div class="yuzde30"><?php echo $LANG["balance-info"]; ?></div>

        <div class="yuzde70" id="Mutsevsms_get_credit"><?php echo $LANG["balance-info-desc"]; ?></div>

    </div>





    <div style="float:right;" class="guncellebtn yuzde30"><a id="Mutsevsms_submit" href="javascript:void(0);" class="yesilbtn gonderbtn"><?php echo $LANG["save-button"]; ?></a></div>



</form>

<script type="text/javascript">

    var value   = $("#Mutsevsms_get_credit").html();

    var loadBalance_Mutsevsms;



    $(document).ready(function(){



        $("#Mutsevsms_get_credit").html(window.value.replace("{credit}",'<?php echo ___("needs/loading-element"); ?>'));



        setInterval(function(){

            var display = $("#module-Mutsevsms").css("display");

            if(display != "none"){

                if(!loadBalance_Mutsevsms){



                    var request = MioAjax({

                        action:window.location.href,

                        method:"POST",

                        data:{

                            operation:"module_controller",

                            module:"Mutsevsms",

                            controller:"get-credit"

                        }

                    },true,true);



                    request.done(function (result){

                        Mutsevsms_get_creditt(result);

                    });



                    loadBalance_Mutsevsms = true;

                }

            }

        },300);



        $("#Mutsevsms_submit").click(function(){

            MioAjaxElement($(this),{

                waiting_text:waiting_text,

                progress_text:progress_text,

                result:"MutsevsmsSettings_handler",

            });

        });

    });



    function Mutsevsms_get_creditt(result) {

        if(result != ''){

            var solve = getJson(result);

            if(solve !== false){

                $("#Mutsevsms_get_credit").html(window.value.replace("{credit}",solve.credit));



            }else

                console.log(result);

        }

    }



    function MutsevsmsSettings_handler(result){

        if(result != ''){

            var solve = getJson(result);

            if(solve !== false){

                if(solve.status == "error"){

                    if(solve.for != undefined && solve.for != ''){

                        $("#MutsevsmsSettings "+solve.for).focus();

                        $("#MutsevsmsSettings "+solve.for).attr("style","border-bottom:2px solid red; color:red;");

                        $("#MutsevsmsSettings "+solve.for).change(function(){

                            $(this).removeAttr("style");

                        });

                    }

                    if(solve.message != undefined && solve.message != '')

                        alert_error(solve.message,{timer:5000});

                }else if(solve.status == "successful")

                    alert_success(solve.message,{timer:2500});

            }else

                console.log(result);

        }

    }

</script>